// This source file is part of HGamer3D
// (A project to enable 3D game development in Haskell)
// For the latest info, see http://www.althainz.de/HGamer3D.html
// 
// (c) 2011 Peter Althainz
// 
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
// 
//     http://www.apache.org/licenses/LICENSE-2.0
// 
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
// 
// ClassAnalogAxisAction.h
// 
// 
// 
// 
// File for type, method, enum or function stubs  
// in: "Module-OIS/oisb/include\OISBAnalogAxisAction.h"
// 
// each stub combines the following files: 
//     a C++ implementation file, transforming cpp calls into C-functions
//     a C-header file, making this C-functions available for the C2HS parser
//     a chs file, give instructions to the C2HS parser.
// 
// 

#include "wchar.h"
#include "ClassPtr.h"
#include "Utils.h"
#include "EnumActionType.h"


// original function: ActionType getActionType();
void cAaa_getActionType_c(struct hg3dclass_struct *classptr_c, enum EnumActionType * result_c);
// original function: void setUseAbsoluteValues(bool use);
void cAaa_setUseAbsoluteValues_c(struct hg3dclass_struct *classptr_c, int use_c);
// original function: bool getUseAbsoluteValues();
void cAaa_getUseAbsoluteValues_c(struct hg3dclass_struct *classptr_c, int * result_c);
// original function: Real getAbsoluteValue();
void cAaa_getAbsoluteValue_c(struct hg3dclass_struct *classptr_c, float * result_c);
// original function: Real getRelativeValue();
void cAaa_getRelativeValue_c(struct hg3dclass_struct *classptr_c, float * result_c);
// original function: void setMinimumValue(Real min);
void cAaa_setMinimumValue_c(struct hg3dclass_struct *classptr_c, float min_c);
// original function: Real getMinimumValue();
void cAaa_getMinimumValue_c(struct hg3dclass_struct *classptr_c, float * result_c);
// original function: void setMaximumValue(Real max);
void cAaa_setMaximumValue_c(struct hg3dclass_struct *classptr_c, float max_c);
// original function: Real getMaximumValue();
void cAaa_getMaximumValue_c(struct hg3dclass_struct *classptr_c, float * result_c);
// original function: void setSensitivity(Real sensitivity);
void cAaa_setSensitivity_c(struct hg3dclass_struct *classptr_c, float sensitivity_c);
// original function: Real getSensitivity();
void cAaa_getSensitivity_c(struct hg3dclass_struct *classptr_c, float * result_c);
// original function: void setAnalogEmulator(AnalogEmulator* emulator);
void cAaa_setAnalogEmulator_c(struct hg3dclass_struct *classptr_c, struct hg3dclass_struct * emulator_c);
// original function: AnalogEmulator* getAnalogEmulator();
void cAaa_getAnalogEmulator_c(struct hg3dclass_struct *classptr_c, struct hg3dclass_struct * result_c);
